Foxit PDF SDK

Public Member Functions | Static Public Attributes | List of all members
FSDK.ImageSettings Class Reference

## Public Member Functions
| constructor ()
| Constructor. More...
| IsEmpty ()
| Check whether current object is empty or not. More...
| SetBackgroundDownScale (down_scale)
| Set the background downscale value for lossy compression modes, used for optimizing color images in a PDF document. More...
| SetCompressionMode (mode)
| Set compression mode used for optimizing color/gray images in a PDF document. More...
| SetForegroundDownScale (down_scale)
| Set the foreground downscale value for lossy compression modes, used for optimizing color images in a PDF document. More...
| SetImageDPI (dpi)
| Set the DPI value as the target compressed value for compressing color/gray images in a PDF document. More...
| SetImageDPILimit (dpi_limit)
| Set the lower limit DPI value for the color/gray image to decide if the image is to be compressed in a PDF document. More...
| SetQuality (quality)
| Set the quality for lossy compression modes, used for optimizing color/gray images in a PDF document. More...
| SetStretchMode (mode)
| Set stretch mode used for optimizing color/gray images in a PDF document. More...
| SetTextSensitivity (text_sensitivity)
| Set the text sensitivity for lossy compression modes, used for optimizing color images in a PDF document. More...
| SetTileSize (size)
| Set the tile size for JPEG2000 compression modes, used for optimizing color/gray images in a PDF document. More...

## Static Public Attributes
static | e_ImageCompressHigh
| Enumeration for compression mode used for color or gray image. More...
static | e_ImageCompressjpeg
| Compression mode: jpeg.
static | e_ImageCompressjpeg2000
| Compression mode: jpeg2000.
static | e_ImageCompressQualityHigh
| Compression quality: High.
static | e_ImageCompressQualityLossless
| Compression quality: Lossless, only for e_ImageCompressjpeg2000 compress mode.
static | e_ImageCompressQualityLow
| Compression quality: Low.
static | e_ImageCompressQualityMaximum
| Compression quality: Maximum.
static | e_ImageCompressQualityMedium
| Compression quality: Medium.
static | e_ImageCompressQualityMinimum
| Enumeration for loss compression quality used for color or gray image. More...
static | e_ImageCompressRetain
| Compression mode: retain, which means no compression.
static | e_ImageCompressZip
| Compression mode: zip.
static | e_StretchBicubic
| When this is set, that means to do bicubic interpolation for zooming.
static | e_StretchDefault
| Enumeration for stretch mode. More...
static | e_StretchDownsample
| When this is set, that means not to do halftone for shrinking or rotating.
static | e_StretchInterpol
| When this is set, that means to do interpolation for zooming.
static | e_StretchNoSmooth
| When this is set, that means not to do any interpolation for stretching.
static | e_StretchOff
| When this is set, that means to do without stretching.

## Detailed Description

This class represents downsampling/recompression settings for color and grayscale images. This class object can be set to class FSDK.OptimizerSettings and then be used to optimize a PDF document.

See also
  FSDK.OptimizerSettings

## Member Function Documentation

## ◆ constructor()

FSDK.ImageSettings.constructor | ( |  | ) |

Constructor.

This constructor is to construct a color/gray image settings object with default setting options. User can also call "set" methods in this class to change these setting options. Please refer to comment of these "set" methods for more details about default values.

## ◆ IsEmpty()

FSDK.ImageSettings.IsEmpty | ( |  | ) |

Check whether current object is empty or not.

When the current object is empty, that means current object is useless.

Returns
  true means current object is empty, while false means not.

## ◆ SetBackgroundDownScale()

FSDK.ImageSettings.SetBackgroundDownScale | ( | down_scale |  | ) |

Set the background downscale value for lossy compression modes, used for optimizing color images in a PDF document.

This function is used to reduce the resolution of the background image.

Parameters

  [in] | down_scale | Background downscale value for lossy compression modes. It should be above 0. If the value is 1, the background resolution is not reduced. If the value is larger than 1, the higher the value, the lower the background resolution. If this function is not called to set this option, that means to use 3 as the default value of this option.

Returns
  None.

## ◆ SetCompressionMode()

FSDK.ImageSettings.SetCompressionMode | ( | mode |  | ) |

Set compression mode used for optimizing color/gray images in a PDF document.

For a newly constructed object, if this function is not called to set option, that means to use FSDK.ImageSettings.e_ImageCompressjpeg as the default value of this option.

Parameters

  [in] | mode | Image compression mode. Please refer to values starting from FSDK.ImageSettings.e_ImageCompressHigh and this should be one of these values.

Returns
  None.

## ◆ SetForegroundDownScale()

FSDK.ImageSettings.SetForegroundDownScale | ( | down_scale |  | ) |

Set the foreground downscale value for lossy compression modes, used for optimizing color images in a PDF document.

This function is used to reduce the resolution of the foreground image.

Parameters

  [in] | down_scale | Foreground downscale value for lossy compression modes. It should be above 0. If the value is 1, the foreground resolution is not reduced. If the value is larger than 1, the higher the value, the lower the foreground resolution. If this function is not called to set this option, that means to use 3 as the default value of this option.

Returns
  None.

## ◆ SetImageDPI()

FSDK.ImageSettings.SetImageDPI | ( | dpi |  | ) |

Set the DPI value as the target compressed value for compressing color/gray images in a PDF document.

When an image can be compressed, the resolution of this image will be compressed to the DPI value set by current function.
For a newly constructed object, if this function is not called to set option, that means to use 150 as the default value of this option.

Parameters

  [in] | dpi | DPI value which is set to be the target compressed DPI value.

Returns
  None.

## ◆ SetImageDPILimit()

FSDK.ImageSettings.SetImageDPILimit | ( | dpi_limit |  | ) |

Set the lower limit DPI value for the color/gray image to decide if the image is to be compressed in a PDF document.

If the resolution of an image in the PDF document is above the lower limit DPI value, this image will be compressed to the target compressed DPI value which is set by function FSDK.ImageSettings.SetImageDPI.
For a newly constructed object, if this function is not called to set option, that means a DPI value (which is 1.5 times of target compressed DPI value) will be used as the default value of this option.

Parameters

  [in] | dpi_limit | DPI value as the lower limit. This value should be a positive number. Suggested range: bigger than target compressed DPI value (set by function FSDK.ImageSettings.SetImageDPI) and the maximum value is 10 times of target compressed DPI value. If input value is not bigger than the target compressed DPI value, a DPI value which is one more than the target compressed DPI value will be used instead. If input value is bigger than the maximum value, the maximum value value will be used instead.

Returns
  None.

## ◆ SetQuality()

FSDK.ImageSettings.SetQuality | ( | quality |  | ) |

Set the quality for lossy compression modes, used for optimizing color/gray images in a PDF document.

For a newly constructed object, if this function is not called to set this option, that means to use FSDK.ImageSettings.e_ImageCompressQualityMinimum as the default value of this option.

Parameters

  [in] | quality | Quality value for lossy compression modes. Please refer to values starting from FSDK.ImageSettings.e_ImageCompressQualityMinimum and this should be one of these values.

Returns
  None.

## ◆ SetStretchMode()

FSDK.ImageSettings.SetStretchMode | ( | mode |  | ) |

Set stretch mode used for optimizing color/gray images in a PDF document.

For a newly constructed object, if this function is not called to set this option, that means to use FSDK.ImageSettings.e_StretchBicubic as the default value of this option.

Parameters

  [in] | mode | Stretch mode. Please refer to values starting from FSDK.ImageSettings.e_StretchOff and this should be one of these values.

Returns
  None.

## ◆ SetTextSensitivity()

FSDK.ImageSettings.SetTextSensitivity | ( | text_sensitivity |  | ) |

Set the text sensitivity for lossy compression modes, used for optimizing color images in a PDF document.

This function affects the segmentation into foreground (usually text) and background. if this function is not called to set this option, that means to use 60 as the default value of this option.

Parameters

  [in] | text_sensitivity | The value of text sensitivity. A higher sensitivity value results in more content represented in the foreground. The value is especially important in case of documents with low contrast and documents with patterns, images or color in background. Instead, the effect on simple text documents with high contrast, clear bright background and sharp dark symbols is low. Valid values: from 0 to 100.

Returns
  None.

## ◆ SetTileSize()

FSDK.ImageSettings.SetTileSize | ( | size |  | ) |

Set the tile size for JPEG2000 compression modes, used for optimizing color/gray images in a PDF document.

For a newly constructed object, if this function is not called to set this option, that means to use 256 as the default value of this option.

Parameters

  [in] | size | The size of title, and this value can only be between 128 and 2048.

Note
  This method only valid in e_ImageCompressjpeg2000 compression mode.

Returns
  None.

## Member Data Documentation

## ◆ e_ImageCompressHigh

FSDK.ImageSettings.e_ImageCompressHigh
| static

Enumeration for compression mode used for color or gray image.

Values of this enumeration should be used alone.

Compression mode: high. This flag will be invalid if the image dpi is less than 200.

## ◆ e_ImageCompressQualityMinimum

FSDK.ImageSettings.e_ImageCompressQualityMinimum
| static

Enumeration for loss compression quality used for color or gray image.

Values of this enumeration should be used alone.

Compression quality: Minimum.

## ◆ e_StretchDefault

FSDK.ImageSettings.e_StretchDefault
| static

Enumeration for stretch mode.

Values of this enumeration should be used alone.

When this is set, that means to do default stretching.